package cn.com.ctop.kuaishou.modules.report.enums;

public enum CheckParametersEnum {
    PARAMETER1("charge", "charge"),
    PARAMETER2("photoShow", "photo_show"),
    PARAMETER3("photoClick", "photo_click"),
    PARAMETER4("aclick", "aclick"),
    PARAMETER5("bclick", "bclick"),
    PARAMETER6("photoShare", "photo_share"),
    PARAMETER7("photoComment", "photo_comment"),
    PARAMETER8("photoLike", "photo_like"),
    PARAMETER9("follow", "follow"),
    PARAMETER10("cancelFollow", "cancel_follow"),
    PARAMETER11("report", "report"),
    PARAMETER12("block", "block"),
    PARAMETER13("negative", "negative"),
    PARAMETER14("downloadStarted", "download_started"),
    PARAMETER15("downloadCompleted", "download_completed"),
    PARAMETER16("activation", "activation"),
    PARAMETER17("submit", "submit"),
    PARAMETER18("eventPayFirstDay", "event_pay_first_day"),
    PARAMETER19("eventPayPurchaseAmountFirstDay", "event_pay_purchase_amount_first_day"),
    PARAMETER20("eventPay", "event_pay"),
    PARAMETER21("eventPayPurchaseAmount", "event_pay_purchase_amount"),
    PARAMETER22("eventRegister", "event_register"),
    PARAMETER23("eventJinJianApp", "event_jin_jian_app"),
    PARAMETER24("eventCreditGrantApp", "event_credit_grant_app"),
    PARAMETER25("eventOrderPaid", "event_order_paid"),
    PARAMETER26("eventOrderPaidPurchaseAmount", "event_order_paid_purchase_amount"),
    PARAMETER27("eventJinJianLandingPage", "event_jin_jian_landing_page"),
    PARAMETER28("eventCreditGrantLandingPage", "event_credit_grant_landing_page"),
    PARAMETER29("eventNextDayStay", "event_next_day_stay"),
    PARAMETER31("play3sRatio", "play_3s_ratio"),
    PARAMETER32("play3sCount", "play_3s_count"),
    PARAMETER30("formCount", "form_count");

    private String sqlName;
    private String value;

    CheckParametersEnum(String value, String sqlName) {
        this.value = value;
        this.sqlName = sqlName;
    }

    public static String getSqlName(String value) {
        for (CheckParametersEnum campaignType : CheckParametersEnum.values()) {
            if (campaignType.getValue().equals(value)) {
                return campaignType.getSqlName();
            }
        }
        return "";
    }

    public static boolean isInclude(String key) {
        boolean include = false;
        for (CheckParametersEnum e : CheckParametersEnum.values()) {
            if (e.getValue().equals(key)) {
                include = true;
                break;
            }
        }
        return include;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getSqlName() {
        return sqlName;
    }

    public void setSqlName(String sqlName) {
        this.sqlName = sqlName;
    }
}
